Question before buying


#1

Hello, I’m am planing on buying fontself for photoshop. But I’m not sure if it would work with the photshop I have.

CS6
Adobe Photoshop Version: 13.0
Version: 6.2

If anyone can help, please let me know.


#2

Hi, so Fontself Maker is only available for CC 2015.3 and over, and we have no plans to bring it to older CS versions. Time to update to CC if you can afford it… :slight_smile: